### バージョン

plumのバージョンは3つの数字で表されています。 これらの数字はそれぞれ、plumのバージョン、 plumのリビジョンとパッケージのリビジョンを表しています。 例えば、「2.1.1」というのは2番目に出たplumの最初の版で、 最初のパッケージということになります。

### 変更履歴

#### 2.33.1

plum
  Perl4でCTCPを正しく処理できなかったバグを修正
channel/mode/set.plm
  チャンネルに自分が入っているかどうか確認するようにした。

#### 2.32.1

plum
  'arrayの挙動がおかしかったのを修正
  module_enable、module_diasbleのタイミングを変更
  'buildの動作を変更
  /exit時にmodule_disableを実行するようにした
  'timelocalが正しくない値を返すことがあったのを修正
auto/alias.plm
  漢字コードを指定したときにおかしくなることがあったのを修正
auto/cache.plm
  新たに追加
auto/message.plm
  from.nick.nowが受け取る人のニックネームになっていたのを修正
auto/nako.plm
  nako 1.59 with all patches相当に変更
auto/package.plm
  from.nick.nowが受け取る人のニックネームになっていたのを修正
ctcp/dcc/gate.plm
  QUITメッセージの結果を返していなかったのを修正
sys/module/update.plm
  空のメッセージを送ることがあったのを修正
sys/multicast.plm
  モジュールを外したときの動作を変更
sys/web.plm
  一部のメッセージの出力先を変更

#### 2.31.1

plum
  'formatサブルーチンを追加
  'channelサブルーチンを追加
  'timelocalサブルーチンを追加
  'dateのフォーマットにオフセットを指定できるようにした
  クライアントからのPONGをサーバに送らないようにした
  jisでの正規表現のマッチングをテストするのをやめた
auto/alias.plm
  private、invisible、readonly、scalarプロパティを追加
auto/answer.plm
  plumの'formatを利用するようにした
auto/message.plm
  plumの'formatを利用するようにした
  checkプロパティとexistsプロパティを追加
  メッセージを送ることができないことがあったのを修正
  formatプロパティを複数行指定できるようにした
  漢字コードを指定したときにファイルが正しく作成されなかったのを修正
auto/oper.plm
  plumの'formatを利用するようにした
  requestプロパティで「*」と「?」が使えるようにした
auto/package.plm
  plumの'formatを利用するようにした
  checkプロパティとexistsプロパティを追加
  ファイルを送ることができないことがあったのを修正
  formatプロパティを複数行指定できるようにした
  漢字コードを指定したときにファイルが正しく作成されなかったのを修正
auto/random.plm
  plumの'formatを利用するようにした
  formatプロパティを複数行指定できるようにした
  requestプロパティで「*」と「?」が使えるようにした
auto/reply.plm
  plumの'formatを利用するようにした
  formatプロパティを複数行指定できるようにした
auto/response.plm
  plumの'formatを利用するようにした
  formatプロパティを複数行指定できるようにした
channel/filter.plm
  新たに追加
channel/join/kick.plm
  JOIN時に指定したキーを保存するようにした
ctcp/dcc/send.plm
  ファイルが送れないことがあったのを修正
ctcp/echo.plm
  引数が指定されているかチェックするようにした
ctcp/part.plm
  チャンネル名が指定されているかチェックするようにした
ctcp/ping.plm
  引数が指定されているかチェックするようにした
log/channel.plm
  offsetプロパティを廃止
log/daily.plm
  offsetプロパティを廃止
log/mail.plm
  offsetプロパティを廃止
sys/timer.plm
  コマンドに含まれる日付を展開するようにした

#### 2.30.1

plum
  正しく正規表現が扱える漢字コードをチェックするようにした
  'regexが「[」と「{」などを同一視するようにしていたのをやめた
  deleteを演算子として実行するようにした
  evalの引数としてブロックを与えていたのよやめた
  getprotobynameを配列コンテキストで実行するようにした
  module_enableとmodule_disableのイベントを追加した
  リストの内部表現を変更した
  directoryプロパティを追加
  設定ファイルの名前を$'filename[]に格納するようにした。
  モジュールのディレクトリを$'directory{}に格納するようにした
  CTCPメッセージの変更ができなかったバグを修正
auto/response.plm
  新たに追加
ctcp/dcc/nat.plm
  新たに追加
auto/answer.plm
  メッセージのフォーマットを指定できるようにした
auto/message.plm
  ファイルのフォーマットを変更した
  メッセージのフォーマットを指定できるようにした
auto/oper.plm
  メッセージのフォーマットを指定できるようにした
auto/package.plm
  ファイルのフォーマットを変更した
  メッセージのフォーマットを指定できるようにした
  DCCの転送に失敗したときにファイルが消えることがあったのを修正
auto/random.plm
  メッセージのフォーマットを指定できるようにした
auto/reply.plm
  メッセージのフォーマットを指定できるようにした
  マッチング時の大文字小文字を区別しないようにした
channel/join/connect.plm
  キーが設定されているチャンネルに入ることができるようにした
channel/join/kick.plm
  キーが設定されているチャンネルに入ることができるようにした
ctcp/dcc/gate.plm
  送信時に正しく中継できないことがあったのを修正
  knownプロパティを追加
log/channel.plm
  いつでもモジュールを利用を開始できるようにした
sys/multicast.plm
  いつでもモジュールを利用を開始できるようにした
sys/web.plm
  パスワードなしの接続ができるようにした
  サーバから切断された時もポートを閉じないようにした
  いつでもモジュールを利用を開始できるようにした

#### 2.29.1

plum
  切断時にチャンネルモードをクリアしていなかったのを修正
  切断時にトピックをクリアしていなかったのを修正
  $'usermode{ファイルNO, モード}を作成した
  チャンネルモードe、I、Oに対応した
  サーバのポート番号を複数指定できるようにした
auto/answer.plm
  !で始まるチャンネル名を正しく扱えるようにした
auto/message.plm
  !で始まるチャンネル名を正しく扱えるようにした
  メッセージを複数発言できるようにした
  サーバから切断されたときに通知時刻を初期化するようにした
auto/nako.plm
  !で始まるチャンネル名を正しく扱えるようにした
  「さん」を「\xA4\xB5\xA4\xF3」に書きかえた
auto/oper.plm
  !で始まるチャンネル名を正しく扱えるようにした
  メッセージを複数発言できるようにした
auto/package.plm
  !で始まるチャンネル名を正しく扱えるようにした
  漢字コードの変換が正しく行えていなかったのを修正
  メッセージを複数発言できるようにした
  サーバから切断されたときに通知時刻を初期化するようにした
  'socknameサブルーチンを使用するように変更
auto/random.plm
  !で始まるチャンネル名を正しく扱えるようにした
auto/reply.plm
  !で始まるチャンネル名を正しく扱えるようにした
channel/join/invite.plm
  !で始まるチャンネル名を正しく扱えるようにした
channel/join/kick.plm
  !で始まるチャンネル名を正しく扱えるようにした
channel/mode/oper/set.plm
  !で始まるチャンネル名を正しく扱えるようにした
  チャンネルモードe、I、Oに対応した
ctcp/part.plm
  !で始まるチャンネル名を正しく扱えるようにした
ctcp/dcc/gate.plm
  !で始まるチャンネル名を正しく扱えるようにした
  'socknameサブルーチンを使用するように変更
ctcp/dcc/get.plm
  !で始まるチャンネル名を正しく扱えるようにした
ctcp/dcc/http.plm
  エンバグしていたのを修正
  !で始まるチャンネル名を正しく扱えるようにした
  'socknameサブルーチンを使用するように変更
ctcp/dcc/send.plm
  'socknameサブルーチンを使用するように変更
log/channel.plm
  offsetプロパティを追加
  !で始まるチャンネル名を正しく扱えるようにした
log/daily.plm
  offsetプロパティを追加
  !で始まるチャンネル名を正しく扱えるようにした
log/mail.plm
  offsetプロパティを追加
log/recent.plm
  !で始まるチャンネル名を正しく扱えるようにした
sys/multicast.plm
  !で始まるチャンネル名を正しく扱えるようにした
sys/web.plm
  サーバに再接続した時の動作がおかしかったのを修正
  !で始まるチャンネル名を正しく扱えるようにした
  RPL_LISTとRPL_INVITINGの処理が逆になっていたのを修正
  kanjiプロパティを追加
  フレームの配置を変更した
  メッセージの保存をサーバごとではなく設定ごとにした
user/ignore.plm
  !で始まるチャンネル名を正しく扱えるようにした

#### 2.28.2

auto/message.plm
  エイリアスに登録されていないときにドメイン名が出るバグを修正
auto/package.plm
  エイリアスに登録されていないときにドメイン名が出るバグを修正
auto/random.plm
  エイリアスに登録されていないときにドメイン名が出るバグを修正
sys/web.plm
  POSTメソッドを使用できるようにした
  サーバ切断時にポートを閉じていなかったバグを修正

#### 2.28.1

plum
  'socknameと'peernameというサブルーチンを追加した
  $SOCKADDRの値を変更した
auto/message.plm
  ニックネームが変更されたときの処理がおかしかったのを修正
auto/package.plm
  ニックネームが変更されたときの処理がおかしかったのを修正
auto/random.plm
  rateのデフォルトを100にした
auto/reply.plm
  ファイル中の空行は無視するようにした
ctcp/dcc/http.plm
  切断時に関係ないコネクションまで切断してしまうことがあったのを修正
ctcp/finger.plm
  新たに追加
sys/multicast.plm
  ISON/USERHOST/OPER/VERSIONコマンドを使えるようにした
sys/timer.plm
  同じタイミングで2つ以上の処理が行えなかったのを修正
sys/web.plm
  新たに追加

#### 2.27.1

plum
  SO_KEEPALIVEを設定しないようにした
  クライアントのマスクをIPアドレスで指定できるようにした
  JISX0212に対応した
user/idle.plm
  新たに追加
auto/message.plm
  到着通知を行うタイミングを変更
  エイリアスのマッチングが正しくできていなかったのを修正
auto/package.plm
  到着通知を行うタイミングを変更
  エイリアスのマッチングが正しくできていなかったのを修正
  ファイルが存在したときにつけるファイル名がおかしかったのを修正
ctcp/dcc/get.plm
  ファイルが存在したときにつけるファイル名がおかしかったのを修正
channel/mode/set.plm
  新たに追加

#### 2.26.1

plum
  自分自身のユーザ情報を保持するようにした
  入っていないチャンネルのNAMESは無視するようにした
  シグナルハンドラの設定方法を変更
channel/alias.plm
  INVITE以外が正しく変換できていなかったのを修正
channel/mode/oper/get.plm
  サーバ間のsplit時にもチャンネルから抜けてしまことがあったのを修正
ctcp/version.plm
  メッセージのフォーマットを変更
log/channel.plm
  KICKしたときにおかしくなっていたのを修正
  複数のチャンネルに発言したときのフォーマットを変更
  自分宛のメッセージのみを保存することができるようにした
log/daily.plm
  複数のチャンネルに発言したときのフォーマットを変更
log/recent.plm
  複数のチャンネルに発言したときのフォーマットを変更
auto/nako.plm
  nako1.56+a3r1相当に変更
  システム設定ファイルをそのまま使用できるように変更
auto/package.plm
  DCC送信に失敗することがあったのを修正
  同時に同じ人からの受信要求があると片方が失敗していたのを修正
  タイムアウト処理が正しく動作していなかったのを修正
ctcp/dcc/send.plm
  DCC送信に失敗することがあったのを修正
  タイムアウト処理が正しく動作していなかったのを修正
sys/multicast.plm
  一部でニックネームの不整合が起こっていたのを修正
  特定の設定でのニックネームを変更できるようにした
  ニックネーム変更が正しくクライアントに送られていなかったのを修正

#### 2.25.1

plum
  SIGHUPとSIGPIPEを無視するようにした
  's_flushと'c_flushの処理を変更
  使われなくなった変数を初期化するようにした
  'dateに時間を指定できるようにした
  ニックネームが使われていたときの動作がおかしかったのを修正
log/channel.plm
  モード付きでJOINしてきた場合に正しく動作しなかったのを修正
log/daily.plm
  ファイル名の展開がおかしかったのを修正
log/mail.plm
  RFCに従っていなかったところがあったのを修正
  directoryプロパティを追加
auto/package.plm
  タイムアウト処理を追加
  同時に同じ人からは受けとらないようにした
channel/alias.plm
  複数のチャンネルを指定したときに正しく動作していなかったのを修正
ctcp/dcc/get.plm
  タイムアウト処理を追加
ctcp/dcc/gate.plm
  タイムアウト処理を追加
ctcp/dcc/http.plm
  タイムアウト処理を追加
user/nick/client.plm
  すべてのニックネームが使われていたときに、それ以上変更しないようにした
ctcp/dcc/send.plm
  新たに追加
sys/multicast.plm
  新たに追加

#### 2.24.3

auto/alias.plm
  kanjiプロパティを削除
auto/package.plm
  DCCリクエストをクライアントに送るようにした
  kanjiプロパティを削除
auto/message.plm
  kanjiプロパティを削除
auto/nako.plm
  kanjiプロパティを削除
auto/random.plm
  誰に対するメッセージかを表示するようにした
  kanjiプロパティを削除
auto/reply.plm
  一つの発言に複数回反応することがあったのを直した
  kanjiプロパティを削除
auto/yuurii.plm
  EUCで発言したメッセージをキャッシュしないバグを修正
log/channel.plm
  QUITが記録されていなかったのを直した
  kanjiプロパティを削除
log/daily.plm
  kanjiプロパティを削除
ctcp/dcc/client.plm
  新たに追加
log/mail.plm
  新たに追加

#### 2.24.2

auto/reply.plm
  ファイルのフォーマットを変更した

#### 2.24.1

plum
  漢字変換ルーチンがおかしかったのを直した
auto/reply.plm
  新たに追加
auto/oper.plm
  ユーザマスクを指定することができるようにした
auto/random.plm
  ファイルへの書き込みができるようにした
  反応する確率を指定できるようにした

#### 2.23.2

ctcp/dcc/http.plm
  一度送受信に失敗するとそれ以降失敗していたのを修正
auto/alias.plm
  新しくエイリアスを作成したときにニックネームがおかしくなるのを修正

#### 2.23.1

plum
  漢字変換ルーチンを少し高速化
  listenしたときの時間を記録していなかったのを直した
auto/nako.plm
  JOINしたときの処理がおかしかったのを直した
auto/package.plm
  プライベートで送ったメッセージに正しく反応していなかったのを修正
  別のユーザのものかどうかをチェックするようにした
auto/yuurii.plm
  キャッシュのエミュレートがおかしかったのを修正
  タイマーの処理がおかしかったのを修正
ctcp/dcc/get.plm
  セキュリティホールがあったので修正
  別のユーザのものかどうかをチェックするようにした
ctcp/dcc/gate.plm
  プロパティをちゃんと見ていなかったのを直した
  クライアントから送られたDCCの中継がおかしかったのを直した
  マスクを正しく処理していなかったのを直した
ctcp/dcc/http.plm
  新たに追加

#### 2.22.2

log/channel.plm
  プライベートで送ったメッセージがおかしくなっていたのを修正
log/daily.plm
  プライベートで送ったメッセージがおかしくなっていたのを修正
channel/mode/get.plm
  サーバ間のsplitでQUITした場合には何もしないようにした
channel/mode/set.plm
  すでにオペレータになっていないか確認するようにした

#### 2.22.1

plum
  CTCPメッセージのチェックがおかしかったのを直した
  漢字コードの変換処理を変更
auto/message.plm
  プライベートで送ってきたメッセージに正しく返事をするようにした
auto/yuurii.plm
  モジュールを動的にアップデートしても正しく動くようにした
log/channel.plm
  関係ないログが保存されていたのを修正
log/daily.plm
  プライベートなメッセージのフォーマットを変更

#### 2.21.2

auto/package.plm
  DCCを正しく送信できていなかったのを直した
ctcp/dcc/get.plm
  同一のファイル名が存在したときの変更規則がおかしかったのを直した

#### 2.21.1

plum
  サーバ名を正しく取得できていなかったのを直した
  クライアントの接続を閉じたときに落ちることがあったのを直した
auto/message.plm
  発言先がおかしかったのを直した
auto/package.plm
  発言先がおかしかったのを直した
  小さなファイルが送れなかったのを直した
channel/join/invite.plm
  プロパティを変更
channel/join/kick.plm
  プロパティを変更
channel/mode/oper/set.plm
  プロパティを変更
ctcp/dcc/gate.plm
  プロパティを変更
ctcp/dcc/get.plm
  プロパティを変更
ctcp/part.plm
  プロパティを変更
log/channel.plm
  プロパティを変更
log/daily.plm
  プロパティを変更
log/recent.plm
  プロパティを変更
user/ignore.plm
  プロパティを変更

#### 2.20.3

auto/yuurii.plm
  jcode'convertを実装
ctcp/dcc/get.plm
  クライアントに送るCTCPがおかしかったのを直した
  ファイルの存在確認がおかしかったのを直した
  同一のファイル名が存在したときのファイル名の変更規則を変更した
channel/mode/oper/set.plm
  サーバと切断したときの処理がおかしかったのを直した
auto/alias.plm
  nick、user、name以外の項目も使用できるようにした
auto/message.plm
  エイリアスの仕様変更にあわせて変更した
server/info.plm
  メッセージがところどころ抜けることがあったのを直した
auto/package.plm
  新たに追加
log/channel.plm
  空のprivmsg、noticeを無視するようにした
log/daily.plm
  空のprivmsg、noticeを無視するようにした
log/recent.plm
  空のprivmsg、noticeを無視するようにした

#### 2.20.2

auto/alias.plm
  plumのバージョンアップで動かなくなっていたのを直した
log/channel.plm
  クライアントからのNOTICEを無視していたのを直した
log/daily.plm
  クライアントからのNOTICEを無視していたのを直した
log/recent.plm
  クライアントからのNOTICEを無視していたのを直した
user/nick/client.plm
  プロパティを複数行書いたときに正しく動いていなかったのを直した
ctcp/part.plm
  受け取った引数を正しく返していなかったのを直した

#### 2.20.1

plum
  クライアントにKICKを送っていなかったのを直した
  メッセージの送り先が間違っていたのを直した
auto/alias.plm
  クライアントのチェックがおかしかったのを直した
auto/message.plm
  メッセージを正しく送っていなかったのを直した

#### 2.19.1

plum
  サーバから切断されたときの処理がおかしかったのを直した
  クライアントを接続したときの処理がおかしかったのを直した
  $'server[ユーザNO]を$'server[ファイルNO]に変更
channel/mode/oper/set.plm
  使用していない変数を参照していたのを直した
auto/alias.plm
  クライアントにメッセージを送らないことがあったのを直した

#### 2.18.1

plum
  出力系のイベントを逆順に処理するようにした
  ラベルを使った時の処理がおかしかったのを直した
  $'servername[ユーザNO]を$'servername[ファイルNO]に変更
  $'channellist[ユーザNO]を$'channellist[ファイルNO]に変更
  $'nameslist{ユーザNO, チャンネル}を
  $'nameslist{ファイルNO, チャンネル}に変更
  $'topic{ユーザNO, チャンネル}を
  $'topic{ファイルNO, チャンネル}に変更
  $'channelmode{ユーザNO, チャンネル, モード}を
  $'channelmode{ファイルNO, チャンネル, モード}に変更
  ctcpの処理をするサブルーチンにチャンネル名を渡すように変更
  's_close(ユーザNO)を's_close(ファイルNO)に変更
  $'nicknameを廃止
  $'NILを廃止
  クライアントへの出力バッファを元に戻した
auto/yuurii.plm
  daily、hourlyの処理がおかしかったのを直した
  InitListを実装した
  AddListを実装した
  DelListを実装した
  pluginがオリジナルと違っていたのを直した
  プラグイン中では警告を出さないようにした
server/info.plm
  新たに追加

#### 2.17.1

plum
  CTCPメッセージの取得がおかしかったのを直した
  プロパティの行末の空白を取り除くようにした
  リストのセパレータを変更した
  'dateサブルーチンを少し変更した
  出力バッファをコマンドごとにわけた
  空リストを空文字列に変更
auto/nako.plm
  新たに追加
auto/yuurii.plm
  plugindirの設定を追加
  出力するデータをjisに変換するようにした
auto/alias.plm
  エイリアス情報をチャンネルに発言しないように変更
  エイリアスの読み込みを少し変更
auto/message.plm
  宛先が正しいかどうかを確認するようにした。
  エイリアスの読み込みを少し変更
auto/answer.plm
  複数のメッセージを送ることができるように変更
channel/mode/set/oper.plm
  キューのチェックを少し変更

#### 2.16.1

plum
  最後に入力のあった時間を表す変数$'access[ファイルNO]を追加
  サーバから切断されたときにERRORではなくNOTICEを送るようにした。
  サーバから切断されたときにクライアントにPARTを送るようにした。
server/timeout.plm
  新たに追加
ctcp/dcc/cancel.plm
  新たに追加
auto/message.plm
  エイリアスの読み込みがおかしかったのを直した
  ユーザのマッチング処理を少し変更
  メッセージファイルのフォーマットを変更
auto/yuurii.plm
  複数のユーザで利用できなかったのを直した
ctcp/dcc/forward.plm
  自分に対して転送することがあったのを直した

#### 2.15.4

auto/alias.plm
  漢字コードを指定できるように変更
  エイリアスの変更ができるようにした
auto/message.plm
  エイリアスが正しく読めていなかったのを直した
  エイリアスの漢字コードを指定できるように変更

#### 2.15.3

auto/message.plm
  新たに追加
auto/alias.plm
  新たに追加

#### 2.15.2

auto/yuurii.plm
  CTCPメッセージを正しく扱えるようにした

#### 2.15.1

plum
  exitしたときにサーバにメッセージを送っていなかったのを直した
auto/yuurii.plm
  ゆーりぃ1.16に対応する変更
  $use_timerの設定がおかしかったのを直した
ctcp/dcc/forward.plm
  新たに追加
ctcp/part.plm
  送り主のニックネームをメッセージとして送るようにした
channel/join/connect.plm
  channel/join/first.plmから名称変更
sys/timer.plm
  sys/cron.plmから名称変更

#### 2.14.1

plum
  プロパティの前の空白を無視するようにした
  再接続時のエラーメッセージがおかしかったのを直した
auto/yuurii.plm
  $chanlistと$autojoinchanlistを初期化するようにした
  $fromと$whereを実装した

#### 2.13.2

auto/yuurii.plm
  存在しないサブルーチンを呼んでいたのを直した
  タイマーのデフォルト値を設定していなかったのを直した

#### 2.13.1

plum
  モジュールのパスを展開しないようにした
sys/module/update.plm
  perl4で動いていなかったのを直した
ctcp/dcc/gate.plm
  とりあえず動くようにした

#### 2.12.1

plum
  main_loopが最初に実行されるようにイベントの発生順序を変更した
  gethostbyaddrの返り値をちゃんとチェックするようにした
  起動時にsrandを実行するようにした
  使わなくなったポートを閉じるようにした
  ポート番号の確認をしていなかったのを直した
  'dateサブルーチンの処理を少し変更した
auto/random.plm
  ホームディレクトリを表す~を展開していなかったのを直した
auto/yuurii.plm
  サブルーチン名を間違えていたのを直した
channel/join/first.plm
  抜けたチャンネルやキックされたチャンネルに入らないようにした
sys/cron.plm
  forkとexecを使っていたのをsystemを使うように変更した

#### 2.11.1

plum
  チャンネルモード用の変数%'channelmodeを追加
  チャンネルキー用の変数%'keyを削除
client/eucin.plm
  client/kanji.plmに統合
client/eucout.plm
  client/kanji.plmに統合
client/jisin.plm
  client/kanji.plmに統合
client/jisout.plm
  client/kanji.plmに統合
client/sjisin.plm
  client/kanji.plmに統合
client/sjisout.plm
  client/kanji.plmに統合
server/eucin.plm
  server/kanji.plmに統合
server/eucout.plm
  server/kanji.plmに統合
server/jisin.plm
  server/kanji.plmに統合
server/jisout.plm
  server/kanji.plmに統合
server/sjisin.plm
  server/kanji.plmに統合
server/sjinout.plm
  server/kanji.plmに統合
client/kanji.plm
  新たに追加
server/kanji.plm
  新たに追加

#### 2.10.4

auto/random.plm
  ファイルを閉じていなかったのを直した
  文字化けすることがあったのを直した
  余分な改行がついていることがあるのを直した
  perl4で動かなかったのを直した
channel/mode/oper/set.plm
  待ち時間がないときにすぐにオペレータにするようにした
  channel.mode.oper.set.notを見ていなかったのを直した
user/ignore.plm
  新たに追加

#### 2.10.3

user/mode/set.plm
  plumに返すパッケージ名が間違っていたのを直した
auto/random.plm
  受け取ったメッセージを返していなかったのを直した

#### 2.10.2

sys/module/update.plm
  なんだかおかしかったみたいなので直した

#### 2.10.1

plum
  sjisからjisへの漢字変換がおかしかったので直した
auto/oper.plm
  発言する先が間違っていたのを直した
  クライアント対しても発言するようにした

#### 2.9.1

plum
  プロパティが正しく取得できないことがあったのを直した

#### 2.8.1

plum
  設定ファイルの再読み込みに対応した
sys/conf/load.plm
  ちゃんと動いていなかったのを直した
sys/conf/update.plm
  ちゃんと動いていなかったのを直した

#### 2.7.1

plum
  2.6.1でCTCPまわりがエンバグしていたのを直した
auto/yuurii.plm
  perl4で動いていなかったバグを直した
  プラグインの実行を高速にした
auto/random.plm
  指定した発言に反応していなかったバグを直した

#### 2.6.1

plum
  同一のモジュールを異なったプロパティで実行できるようにした
sys/module/update.plm
  ちゃんとアップデートできていなかったのを直した
  プロパティのラベルに対応

#### 2.5.2

auto/answer.plm
  プライベートな発言に正しく反応できていなかったのを直した
auto/random.plm
  新たに追加

#### 2.5.1

plum
  parseとbuildをmainパッケージに移動した。
  サーバと接続されているかを確認していなかった部分を直した。
user/away/client.plm
  サーバとの接続確認をするようにした
log/channel.plm
  perl4で正しく動かなかったのを直した
log/daily.plm
  perl4で正しく動かなかったのを直した
log/recent.plm
  perl4で正しく動かなかったのを直した

#### 2.4.1

plum
  クライアントのホスト名を正しく取得できていなかったのを直した
  エラー時に出力するクライアント名をサーバと同じようにした

#### 2.3.1

plum
  ソケットのファイルハンドルをmainにした
ctcp/dcc/gate.plm
  ソケットがちゃんと読めていなかったのを直した
ctcp/dcc/get.plm
  ソケットがちゃんと読めていなかったのを直した

#### 2.2.1

plum
  閉じたソケットを見に行くのをやめた
  クライアントを接続したときにチャンネルに入らなかったのを直した
  モジュールのパッケージ名を正しく取得していなかったのを直した
  サーバ名に接続しているサーバの名前を送るようにした
  エラー処理をいくつか変更した
  クライアントの認証が終わっているか確認するようにした
auto/answer.plm
  クライアントの認証が終わっているか確認するようにした
auto/yuurii.plm
  クライアントの認証が終わっているか確認するようにした
ctcp/version.plm
  irchat.elで問題が起こらないようにした
sys/conf/update
  クライアントにメッセージを送っていなかったのを直した
sys/module/update.plm
  クライアントにメッセージを送っていなかったのを直した
  2.1.1に入れ忘れていたので追加した
user/away/client
  ちゃんとAWAYを設定できていなかったのを直した